Subject: vic2.8/Solaris 2.6

From: Len Rose <[email-masked]>
Date: Sun, 28 Jun 1998 02:57:14 -0400 (EDT)

I rebuilt tcl7.5, and tk4.1, rebuilt vic itself.. Note, there are
a few changes you need to make to the configure script, namely
whether or not you have xil developers kit, which is included in
package SUNWxilh.. 

Small Rant: 

Why is Sun locating the files in /usr/openwin/share/include/xil nowdays? 
Just when we all got used to /opt.. pkgchk -l  SUNWxilh will verify that
you've installed it..

Simply change  "xil_dir=/opt/SUNWits/Graphics-sw/xil" to

                "xil_dir=/usr/openwin/share/include" 

Then the below minor changes to config.h were neccessary.. slashing and
burning because it's late and I  have to get this working before I sleep.

vic 2.8 builds just fine under Solaris 2.6, tomorrow I'll put the
SunVideo card back into an Ultra2 and hopefully have the kind of performance
one might expect from this machine.

The good news (at least for me) is that it's working normally now.. I
did try both versions of the binaries available with no results. I'm
not sure why rebuilding made much difference. If anyone would like more
information or the binary, just send mail.

Thanks for everyone's advice, and comments.

Len

# diff -c output..
*** config.h    Thu May 16 08:27:06 1996
--- config.len  Sun Jun 28 02:54:43 1998
***************
*** 45,60 ****
  #include <sys/types.h>
  #endif
  /*XXX*/
- #ifdef sco
- typedef char int8_t;
- #else
- typedef signed char int8_t;
- #endif
  typedef unsigned char u_int8_t;
- typedef short int16_t;
  typedef unsigned short u_int16_t;
  typedef unsigned int u_int32_t;
- typedef int int32_t;
  #endif
  
  #if defined(sun)||defined(_AIX)
--- 45,53 ----
***************
*** 61,68 ****
  #if defined(__cplusplus)
  extern "C" {
  #endif
! int srandom(int);
! int random(void);
  #if defined(__cplusplus)
  }
  #endif
--- 54,62 ----
  #if defined(__cplusplus)
  extern "C" {
  #endif
! /* int srandom(int); */
! /* int random(void); */
! 
  #if defined(__cplusplus)
  }
  #endif
***************
*** 83,91 ****
  #include <arpa/inet.h>
  int strcasecmp(const char *, const char *);
  clock_t clock(void);
- #if !defined(sco) && !defined(sgi) && !defined(__bsdi__) && !defined(__FreeBSD__)
- int gethostid(void);
- #endif
  time_t time(time_t *);
  char *ctime(const time_t *);
  #if defined(__cplusplus)
--- 77,82 ----

# end diff -c

[email-masked]
http://www.netsys.com